Plume API
Image creation

/images/tweet

Make a fake tweet

GET
/images/tweet

Query Parameters

avatar?string

A valid image URL

Length1 <= length <= 2048
name*string

The user displayed name

Length1 <= length <= 50
username*string

The user @ name

Length1 <= length <= 50
text*string

The tweet content

Length1 <= length <= 256
retweets?number

The retweets count

Range0 <= value <= 1000000000000
quote_tweets?number

The quote tweets count

Range0 <= value <= 1000000000000
likes?number

The likes count

Range0 <= value <= 1000000000000

Response Body

image/png

application/json

application/json

application/json

application/json

curl -X GET "https://plume.sodiumlabs.xyz/api/images/tweet?name=string&username=string&text=string"
"string"
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}